plagio/routes/web.php
<?php

Route::get('/', function () {
    return view('auth.login');
});


// Route::get('even', function () {
// 	    event(new \App\Events\NuevaOrdenEvent('MOOOOOOOOOOOOOOOOOOOOOOOY'));
// 	    //return "Event has been sent!";
// 		//dd(event(new \App\Events\NuevaOrdenEvent('hello world')));
// 	});

Route::post('ocr', 'OcrController@readImage');

Route::get('ocr/test', 'OcrController@test');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

// Route::get('auth/{provider}', 'Auth\SocialAuthController@redirectToProvider')->name('social.auth');
// Route::get('auth/{provider}/callback', 'Auth\SocialAuthController@handleProviderCallback');

Route::get('auth/google', 'Auth\GoogleController@redirectToGoogle');
Route::get('auth/google/callback', 'Auth\GoogleController@handleGoogleCallback');

Route::get('auth/facebook', 'Auth\FacebookController@redirectToFacebook');
Route::get('auth/facebook/callback', 'Auth\FacebookController@handleFacebookCallback');

Route::group(['middleware' => 'auth'], function(){

	Route::resource('roles', 'RoleController');
	Route::resource('permissions', 'PermissionsController');
	
	Route::group(['middleware' => ['Administrador']], function () {
		Route::resource('users', 'UsersController');
	});

	Route::resource('passwords', 'ReiniciarPasswordController');
	Route::resource('persona', 'PersonaController');

	Route::resource('archivo','ControllerArchivo');
	Route::resource('repositorio','ControllerRepositorioArchivo');
	Route::resource('comparar','ArchivoCompararController');
	
	Route::resource('categoriaproyectos','CategoriaProyectoController');
	Route::resource('proyectos','ProyectoController');
	Route::resource('asignacion','AsignacionController');
	Route::resource('gestionversiones','GestionVersionController');
	Route::resource('archivoproyecto','GestorArchivoController');
	Route::resource('usuariobloqueado','UserBloqueadoController');
	Route::resource('ocr', 'OcrController');
	Route::resource('redaccion', 'RedaccionController');
	Route::resource('plagionline', 'GoogleSearchController');
	
	

	//Roles
	Route::get('list_roles', 'RoleController@list_roles');
	Route::PUT('actualizarRoles/{criterio}', 'RoleController@actualizarRoles');
 
	//Usuario
	Route::get('/list_user', 'UsersController@list_user');
	Route::get('/bajaUsuario', 'UsersController@bajaUsuario');
	Route::get('/activarUsuario', 'UsersController@activarUsuario');
	
	Route::get('profile', 'UsersController@profile');
	Route::put('actualizardatos/{criterio}', 'UsersController@actualizardatos');

	Route::post('storePersonalizar','UsersController@storePersonalizar')->name('personalizar.store');
	Route::get('getPersonalizar','UsersController@getPersonalizar')->name('personalizar.show');
	
	Route::PUT('addRole/{criterio}/{role}','UsersController@addRole');
	//usuario bloqueado
	Route::get('/list_userbloqueado', 'UserBloqueadoController@list_userbloqueado');
	Route::get('/activarUsuarioBloqueado', 'UserBloqueadoController@activarUsuarioBloqueado');
	
	//ip bloqueo
	Route::get('/list_ipbloqueado', 'UserBloqueadoController@list_ipbloqueado');
	Route::post('/storeIp', 'UserBloqueadoController@storeIp')->name('blockip.store');
	Route::get('/activarIpBloqueado', 'UserBloqueadoController@activarIpBloqueado');
	
	//Persona
	Route::get('/listar_personas', 'PersonaController@listar_personas');
	Route::get('/get_allciudades', 'PersonaController@get_allciudades');
	Route::get('/get_usuariosdisponibles', 'PersonaController@get_usuariosdisponibles');
	
	Route::get('/get_allUsuarios', 'PersonaController@get_allUsuarios');
	Route::post('/actualizarPersonal/{id}', 'PersonaController@actualizarPersonal');


	//tipoarchivo
	Route::get('listar_tparchivos','ControllerArchivo@listar_tparchivos');
	Route::get('listar_extension','ControllerArchivo@listar_extension');
	Route::get('editExtension/{criterio}','ControllerArchivo@editExtension');
	Route::post('storeExtension','ControllerArchivo@storeExtension')->name('extension.store');
	Route::put('updateExtension/{criterio}','ControllerArchivo@updateExtension')->name('extension.update');
	Route::get('bajaExtension','ControllerArchivo@bajaExtension');
	Route::get('activarExtension','ControllerArchivo@activarExtension');
	Route::get('getArchivo','ControllerArchivo@getArchivo');

	//Repositorio
	Route::get('getExtensiones','ControllerRepositorioArchivo@getExtensiones');
	Route::get('getArchivo/{criterio}','ControllerRepositorioArchivo@getArchivo');
	Route::get('listar_repositorio','ControllerRepositorioArchivo@listar_repositorio');
	Route::post('actualizarrepositorio','ControllerRepositorioArchivo@actualizarrepositorio');

	//ArchivoComparar

	Route::get('listar_comparar','ArchivoCompararController@listar_comparar');
	Route::get('leerDocumento','ArchivoCompararController@leerDocumento');
	Route::get('convertirPDF','ArchivoCompararController@convertirPDF');
	Route::get('getArchivo2/{criterio}','ArchivoCompararController@getArchivo2');
	//resultado
	Route::get('listar_resultados','ArchivoCompararController@listar_resultados');
	Route::get('resultadoIndex','ArchivoCompararController@resultadoIndex')->name('resultado.index');
	Route::get('getResultados','ArchivoCompararController@getResultados');

	//proyectos
	Route::get('listar_proyectos','ProyectoController@listar_proyectos');

	Route::get('estadoProyecto','ProyectoController@estadoProyecto');
	Route::get('getArchivoProyecto/{criterio}','ProyectoController@getArchivoProyecto');

	//Asignacion usuario
	Route::get('actualizarAsignacion','AsignacionController@actualizarAsignacion');
	Route::get('listar_asignacion','AsignacionController@listar_asignacion');

	//Gestor Archivos
	Route::get('listar_archivosp/{criterio}','ProyectoController@listar_archivosp');
	Route::get('getDocumento/{criterio}/{name}','GestorArchivoController@getDocumento');
	Route::get('listadoDirectorio/{id}/{criterio}/{ini}/{original}','GestorArchivoController@listadoDirectorio');
	
	Route::get('eliminarArchivo/{dir}/{dirhere}/','GestorArchivoController@eliminarArchivo');
	Route::get('leerDocumento2','GestorArchivoController@leerDocumento2');
	Route::get('listar_resultados2','GestorArchivoController@listar_resultados2');
	Route::get('resultadoproyecto','GestorArchivoController@resultadoproyecto')->name('resultadoproyecto.index');
	Route::get('getResultados2','GestorArchivoController@getResultados2');
	//categoria proyecto
	Route::get('listar_Categorias','CategoriaProyectoController@listar_Categorias');

	//gestionversiones
	Route::get('listar_Versiones/{criterio}','GestionVersionController@listar_Versiones');
	Route::get('getVersion/{criterio}','GestionVersionController@getVersion');
	Route::get('getCambios/{criterio}','GestionVersionController@getCambios');
	Route::delete('eliminarVersion','GestionVersionController@eliminarVersion');
	Route::get('getVersion2/{criterio}','GestionVersionController@getVersion2');


	//OCR
	Route::get('listar_ocr','OcrController@listar_ocr');
	Route::get('leerDocumentoOCR','OcrController@leerDocumentoOCR');
	Route::get('getArchivoOcr/{criterio}','OcrController@getArchivoOcr');
	Route::delete('eliminarArchivoOcr/{criterio}','OcrController@eliminarArchivoOcr');
	
	Route::get('recortarImagen','OcrController@recortarImagen');

	//Redaccion
	Route::get('listar_redacciones','RedaccionController@listar_redacciones');
	Route::get('veredaccion/{criterio}','RedaccionController@indexEditor');
	Route::get('getRedaccion/{criterio}','RedaccionController@getRedaccion');
	Route::post('guardarTexto','RedaccionController@guardarTexto');
	Route::delete('eliminarRedaccion/{criterio}','RedaccionController@eliminarRedaccion');
	Route::post('storeUsuario','RedaccionController@storeUsuario')->name('adduser.store');

	//api google
	Route::get('gerResultados/{contenido}', 'GoogleSearchController@gerResultados');
});

Route::get('clear-cache', function() {
    $exitCode = Artisan::call('config:clear');
    $exitCode = Artisan::call('cache:clear');
    $exitCode = Artisan::call('config:cache');
    
    return 'DONE';
}); ;
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

plagio/app/Role.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Role extends Model
{

	protected $table = "roles";

    protected $fillable = ['name'];

    public function users()
    {
        return $this->hasMany('App\User');
    }

    public function permission()
    {
        return $this->hasOne('App\Permission');
    }
}

plagio/app/Http/Controllers/RoleController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

// use App\Role;
// use App\Permission;

use Illuminate\Support\Facades\DB;
use DataTables;

use Spatie\Permission\Models\Role;

use Spatie\Permission\Models\Permission;
class RoleController extends Controller
{
    function __construct()
    {
        $this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
        $this->middleware('permission:role-create', ['only' => ['create','store']]);
        $this->middleware('permission:role-edit', ['only' => ['edit','update']]);
        $this->middleware('permission:role-delete', ['only' => ['destroy']]);
    }

    public function index()
    {   
        $permission = Permission::get();
        return view('admin.role.index')
                ->with('permission',$permission);
    }

    public function list_roles()
    {
        $dato = DB::table('roles')->get();
        if(request()->ajax()){
            return Datatables::of($dato)
                ->rawColumns(['id','name'])
                ->make(true);
            }else{
                abort('404');
        }

    }

    public function create()
    {
        //
    }

    public function store(Request $request)
    {
        if($request->ajax()){
            // $Role = new Role($request->all());
            // $Role->save();
            // $permission = new Permission();
            // if($request->add == "on" )
            //     $permission->add = "1";
            // else
            //     $permission->add = "0";
            // if($request->edit == "on")
            //     $permission->edit = "1";    
            // else
            //     $permission->edit = "0";
            // if($request->remove == "on")
            //     $permission->remove = "1";    
            // else
            //     $permission->remove = "0";
            // $permission->role_id = $Role->id;
            // $permission->save();
            $role = Role::create(['name' => $request->input('name'),'descripcion' => $request->input('descripcion')]);
            $role->syncPermissions($request->input('permission'));
            return response()->json($role);
        }
    }

    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        //$dato = Role::find($id);
        $role = Role::find($id);
        $permission = Permission::get();
        $rolePermissions = DB::table("role_has_permissions")->where("role_has_permissions.role_id",$id)
            //->pluck('role_has_permissions.permission_id','role_has_permissions.permission_id')
            ->get();
        return response()->json(['role'=>$role,'permission'=>$permission,'rolePermissions'=>$rolePermissions]);
    }

    public function update(Request $request, $id)
    {
        
        $role = Role::find($id);
        $role->name = $request->input('name');
        $role->descripcion = $request->input('descripcion');
        $role->save();
        $role->syncPermissions($request->input('permission'));

        return response()->json($role);
    }

    public function actualizarRoles(Request $request, $id)
    {
        //dd($request->input('permission'));
        $role = Role::find($id);
        $role->name = $request->input('name');
        $role->descripcion = $request->input('descripcion');
        $role->save();
        $role->syncPermissions($request->input('permission'));

        return response()->json($role);
    }


    public function destroy($id)
    {
        //
    }
}

plagio/resources/views/admin/role/index.blade.php
@extends('template.app')

@section('title','Lista de Roles')
@section('main-content')
   <!-- Your Page Content Here -->
    <!-- if(Auth::user()->role->permission->add == 1) -->
    @if(Auth::user()->hasPermissionTo('role-create'))
        <div align="left" style="border:auto;">
            <button type="button" class="btn btn-info"  data-toggle="modal" data-target="#modal-RRole">
                Nuevo Rol
            </button>
        </div>
    @endif
    <!-- endif -->
    <hr>
    <div class="table-responsive table-striped">
        <table id="Tabla-Roles" class="table table-bordered table-striped" width="100%">
            <thead > 
                <tr>
                    <th style="text-align: center;" >#</th>
                    <th style="text-align: center; " width="30%">Nombre</th>
                    <th style="text-align: center; " width="50%">Descripcion</th>
                    <th style="text-align: center; " >Accion</th>
                </tr> 
            </thead>
            <tbody style="text-align: center;">

            </tbody>
        </table>
    </div>   
 
    @include('admin.role.modal-crear')
    @include('admin.role.modal-edit')
    @include('admin.role.modal-permisos')

@endsection
@section('js')
<script type="text/javascript">
    $( document ).ready(function() {
       activar_tabla_roles();
       cambio();
    });

    $( document ).ajaxStop(function() {
        //preloader();
    });


    function activar_tabla_roles() {
        var t = $('#Tabla-Roles').DataTable({
            "processing"  : true,
            "serverSide"  : true,
            "searchDelay" : 500 ,
            "lengthMenu": [5,10, 25, 50, 75 ],
            "responsive": true,
            "language": {
            "url": '{!! asset('/plugins/datatables.net/latino.json') !!}',
            },
            "ajax":'{!! url('list_roles') !!}',
            columns: [
                {data: 'id'},
                {data: 'name' },
                {data: 'descripcion' , className :'ord'},
                {
                "defaultContent" : " ",
                "searchable" : false,
                "orderable" : false,
                "render" : function(data, type, row, meta) {
                    var html='<div class="form-group" >';
                    var edit = "{{Auth::user()->hasPermissionTo('role-edit') }}";
                    if( edit != '')
                    {

                        html+='<a style="width:100px; margin:5px;" data-toggle="modal" data-target="#modal-ERole" class="btn btn-warning btn-xs text-white" onclick="llenarDatosEdit('+row.id+');"><i class="fas fa-wrench"></i> Editar </a> </br>';
                    }


                    html +="</div>";
                    return html;
                },
            }]
        });
        t.on( 'draw.dt', function () {
            var PageInfo = $('#Tabla-Roles').DataTable().page.info();
                 t.column(0, { page: 'current' }).nodes().each( function (cell, i) {
                    cell.innerHTML = i + 1 + PageInfo.start;
                } );
            } );
    }

    var rolePermissions;
    function llenarDatosEdit(criterio)
    {
        var route = "{{url('roles')}}/"+criterio+"/edit";
        $.get(route, function(data){ 
            rolePermissions = data.rolePermissions;
            $(".idRole").val(data.role.id);
            $("#Erole").val(data.role.name);
            $("#Edescripcion").val(data.role.descripcion);
            $(".titleRole").html("Actualiando ROL");
            $('.Epermission').each(function() {
                //console.log(this.value,rolePermissions)
                this.checked = false;
                for(var i=0; i<rolePermissions.length; i++)
                {
                    if(this.value == rolePermissions[i].permission_id){
                        this.checked = true;
                    }
                    // else
                    // {
                    //     this.checked = false;
                    // }
                }
            });
        });
    }

    $("#btnRRole").click(function(e){
        var registerForm = $("#FRRole");
        var formData = registerForm.serialize();
        
        var route = "{{route('roles.store')}}";
        var token = $("input[name=_token]").val();
        $.ajax({ 
            url : route,
            headers: {'X-CSRF-TOKEN': token},
            type: 'POST',
            dataType: 'json',
            data:formData,
            success : function(data){
                $("#modal-RRole").modal("toggle");
                toastr.success("Rol Registrado.");  
                $('#Tabla-Roles').DataTable().ajax.reload();
            }
        });
 
    });

    $("#btnERole").click(function(e){
        var criterio = $(".idRole").val();
        var registerForm = $("#FERole");
        var formData = registerForm.serialize();

        var route = "{{url('actualizarRoles')}}/"+criterio;
        var token = $("input[name=_token]").val();
        $.ajax({
            url : route,
            headers: {'X-CSRF-TOKEN': token},
            type: 'PUT',
            dataType: 'json',
            //cache: false,
            data:formData,
            success : function(data){
                $("#modal-ERole").modal("toggle");
                toastr.success("Rol Actualizado.");  
                $('#Tabla-Roles').DataTable().ajax.reload();
            }
        });

    });

    //Abre modal y llena los datos de los permisos a un rol
    function openmodal(id) { 
        var route = "{{url('permissions')}}/"+id+"/edit";
        $.get(route, function(data){
            console.log(data);
            $("#EPTitle-Label").html("Editando Permisos del Rol:  "+data.role_name);
            $("#id").val(data.role_id);
            document.getElementsByClassName("Eedit")[0].checked = false;
            document.getElementsByClassName("Eremove")[0].checked = false;
            document.getElementsByClassName("Eadd")[0].checked = false;
            if(data.add=="1")
                {document.getElementsByClassName("Eadd")[0].checked = true;}
            if(data.edit=="1")
                {document.getElementsByClassName("Eedit")[0].checked = true;}
            if(data.remove=="1")
                {document.getElementsByClassName("Eremove")[0].checked = true;}
        });
    };

    $("#btnEPermissions").click(function()
    {
        var id = $("#id").val();
        var add = $(".Eadd").prop('checked');
        var edit = $(".Eedit").prop('checked');
        var remove = $(".Eremove").prop('checked');
        //console.log(remove);
        var route = "{{url('permissions')}}/"+id+"";
        var token = $("input[name=_token]").val();
        $.ajax({
            url: route,
            headers: {'X-CSRF-TOKEN': token},
            type: 'PUT',
            dataType: 'json',
            data: {add,edit,remove},
            success: function(data){
                $("#MeditPermissions").modal('hide');
                toastr.warning('Se Actualizaron Los Permisos Del Rol: '+data.name);
                $("#Tabla-Roles").DataTable().ajax.reload();
            },
            error:function(data)
            {
                toastr.error('ERROR');
                console.log(data);
            }  
        });
    }); 

    function cambio (){
        var route = "{{url('getPersonalizar')}}"
        var token = $("input[name=_token]").val();
        $.ajax({
            url : route,
            headers : {'X-CSRF-TOKEN':token},
            method : 'get',
            //dataType : 'json',
            //data : estiloGlobal,
            success : function (data)
            {
                for (var i = 0; i < data.length; i++) {
                if(data[i].nav_type != null)
                    $(".pcoded").attr("nav-type", data[i].nav_type);
                if(data[i].navbar_logo != null) 
                    $(".navbar-logo").attr("logo-theme", data[i].navbar_logo)
                if(data[i].pcoded_navigatio_lavel != null)
                    $(".pcoded-navigatio-lavel").attr("menu-title-theme", data[i].pcoded_navigatio_lavel)
                if(data[i].pcoded_header != null)
                    $(".pcoded-header").attr("header-theme", data[i].pcoded_header)
                if(data[i].pcoded_navbar != null)                        
                    $(".pcoded-navbar").attr("navbar-theme", data[i].pcoded_navbar)
                if(data[i].active_item_them != null)
                    $(".pcoded-navbar").attr("active-item-theme", data[i].active_item_them)
                if(data[i].sub_item_theme != null)
                    $(".pcoded-navbar").attr("sub-item-theme", data[i].sub_item_theme)
                if(data[i].themebg_pattern != null)
                    $("body").attr("themebg-pattern", data[i].themebg_pattern)
                if(data[i].vertical_effect != null)
                    $(".pcoded").attr("vertical-effect", data[i].vertical_effect)
                if(data[i].item_border_style != null)
                    $(".pcoded-navbar .pcoded-item").attr("item-border-style", data[i].item_border_style)
                if(data[i].dropdown_icon != null)
                    $(".pcoded-navbar .pcoded-hasmenu").attr("dropdown-icon", data[i].dropdown_icon)
                if(data[i].subitem_icon != null)
                    $(".pcoded-navbar .pcoded-hasmenu").attr("subitem-icon", data[i].subitem_icon)
                var usuario = '{{Auth::user()->id}}';
                if(data[i].imagen != null)
                {
                    var url = 'personalizado/user/'+usuario+'/'+data[i].imagen;
                    $('head').append('<style>.main-menu:before{content: ""; background-image: url('+url+'); background-size: cover; position: absolute; top: 0px; right: 0px; bottom: 0px; left: 0px; opacity: 0.2;}</style>');
                    
                }
                }
                
            },
            error : function (data){
                toastr.error("ERROR");
            }
        })
    };
    </script>
<style type="text/css">
    .ord{
    
    
    
    white-space: pre-line;
    }
    textarea{
        resize: none;
        height: 150px;
    }
</style>
@endsection

plagio/resources/views/admin/role/modal-crear.blade.php
<div class="modal fade" id="modal-RRole" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
	<div class="modal-dialog ">
		{!! Form::open(['id'=> 'FRRole','autocomplete' => 'off']) !!}
		<div class="modal-content">
		  	<div class="modal-header bg-primary">
		    	<h5 class="modal-title titleRole" >Formulario - Nuevo Rol</h5>
			    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
			      	<span aria-hidden="true">&times;</span>
			    </button>
		  	</div>
		  	<div class="modal-body">
				<div class="form-group">
					<div class="row">
						<div class="col-md-12">
						{!! Form::label('name','Rol') !!}
						{!! Form::text( 
							'name',null,
							['class'=>'form-control',
							'placeholder' =>'Nombre Rol',
							'id'=>'Rrole']) !!}
						</div>
					</div> 
				</div>
				<div class="form-group">
					<div class="row">
						<div class="col-md-12">
						{!! Form::label('name','Descripcion Rol') !!}
						{!! Form::textarea( 
							'descripcion',null,
							['class'=>'form-control',
							'placeholder' =>'Descripcion de Rol',
							'id'=>'Rdescripcion']) !!}
						</div>
					</div> 
				</div>
				<div class="col-xs-12 col-sm-12 col-md-12">
			        <div class="form-group">
			            <strong>Permission:</strong>
			            <br/>
			            @foreach($permission as $value)
			                <label>{{ Form::checkbox('permission[]', $value->id, false, array('class' => 'name')) }}
			                {{ $value->name }}</label>
			            <br/>
			            @endforeach 
			        </div>
		    	</div>
		  	</div>
		  	<div class="modal-footer">
			    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
			    {!!link_to('#', $title='Registrar', $attributes = ['id'=>'btnRRole', 'class'=>'btn btn-primary'])!!}
		  	</div>
		</div>
		{!! Form::close() !!}
	</div>
</div>

plagio/resources/views/admin/role/modal-edit.blade.php
<div class="modal fade" id="modal-ERole" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
	<div class="modal-dialog ">
		{!! Form::open(['id'=> 'FERole','autocomplete' => 'off']) !!}
		<div class="modal-content">
		  	<div class="modal-header bg-primary">
		    	<h5 class="modal-title titleRole" >Formulario - Nuevo Rol</h5>
			    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
			      	<span aria-hidden="true">&times;</span>
			    </button>
		  	</div>
		  	<div class="modal-body">
		  		<input type="hidden" class="form-control idRole" value="">
				<div class="form-group">
					<div class="row">
						<div class="col-md-12">
						{!! Form::label('name','Rol') !!}
						{!! Form::text( 
							'name',null,
							['class'=>'form-control',
							'placeholder' =>'Nombre Rol',
							'id'=>'Erole']) !!}
						</div>
					</div> 
				</div>
				<div class="form-group">
					<div class="row">
						<div class="col-md-12">
						{!! Form::label('name','Descripcion Rol') !!}
						{!! Form::textarea( 
							'descripcion',null,
							['class'=>'form-control',
							'placeholder' =>'Descripcion de Rol',
							'id'=>'Edescripcion']) !!}
						</div>
					</div> 
				</div>
				<div class="col-xs-12 col-sm-12 col-md-12">
			        <div class="form-group">
			            <strong>Permission:</strong>
			            <br/>
			            @foreach($permission as $value)
			                <label>{{ Form::checkbox('permission[]', $value->id, false, array('class' => 'name Epermission')) }}
			                {{ $value->name }}</label>
			            <br/>
			            @endforeach 
			        </div>
		    	</div>
		  	</div>
		  	<div class="modal-footer">
			    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
			    {!!link_to('#', $title='Actualizar', $attributes = ['id'=>'btnERole', 'class'=>'btn btn-primary'])!!}
		  	</div>
		</div>
		{!! Form::close() !!}
	</div>
</div>

plagio/resources/views/admin/role/modal-permisos.blade.php
<div class="modal fade" id="MeditPermissions" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
	<div class="modal-dialog">
		{!! Form::open([ 'id'=> 'form','autocomplete'=>'off']) !!}
		<div class="modal-content">
		  	<div class="modal-header bg-primary">
		    	<h5 class="modal-title" id="EPTitle-Label" style="margin-left: auto;"></h5>
			    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
			      	<span aria-hidden="true">&times;</span>
			    </button>
		  	</div>
		  	<div class="modal-body">
		  		<input type="hidden" id="id">
		  		<div class="form-group" align="center"> 
					<div class="form-check form-check-inline">
						<div class="center">
							<input type="checkbox" class="Eadd" id="cbx" style="display:none"/>
							<label for="cbx" class="toggle"><span></span></label>Agregar
						</div>
					</div>
					<div class="form-check form-check-inline">
						<div class="center">
							<input type="checkbox" class="Eedit" id="cbx2" style="display:none"/>
							<label for="cbx2" class="toggle"><span></span></label>Editar
						</div>
					</div>
					<div class="form-check form-check-inline">
						<div class="center">
							<input type="checkbox" class="Eremove" id="cbx3" style="display:none"/>
							<label for="cbx3" class="toggle"><span></span></label>Eliminar
						</div>
					</div>
				</div>
		  	</div>
		  	<div class="modal-footer">
			    <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
			    {!!link_to('#', $title='Actualizar', $attributes = ['id'=>'btnEPermissions', 'class'=>'btn btn-primary'])!!}
		  	</div>
		</div>
		{!! Form::close() !!}
	</div>
</div>